Index: /trunk/SophyaPI/PI/Quartz/#PIContainerQuartz.cpp#
===================================================================
--- /trunk/SophyaPI/PI/Quartz/#PIContainerQuartz.cpp#	(revision 4077)
+++ /trunk/SophyaPI/PI/Quartz/#PIContainerQuartz.cpp#	(revision 4077)
@@ -0,0 +1,32 @@
+/*
+ *  PIContainerQuartz.cpp
+ *  PI
+ *
+ *  Created by Bruno MANSOUX on Tue May 04 2004.
+ *
+ */
+
+#include "PIContainerQuartz.h"
+
+/* --Methode-- */
+PIContainerQuartz::PIContainerQuartz(PIContainerGen *par, const char *nom, 
+                           int sx, int sy, int px, int py) 
+:PIContainerGen(par, nom, sx, sy, px, py)
+{
+}
+
+/* --Methode-- */
+PIContainerQuartz::~PIContainerQuartz()
+{
+}
+
+/* --Methode-- */
+void PIContainerQuartz::Process(PIMessage msg, PIMsgHandler* sender, void* data)
+{
+}
+
+/* --Methode-- */
+WindowRef PIContainerQuartz::GetWindowRef()
+{
+    return HIViewGetWindow(wdgHIView);
+}
Index: /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1
===================================================================
--- /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1	(revision 4076)
+++ /trunk/SophyaPI/PI/Quartz/PI.xcodeproj/brunomansoux.mode1	(revision 4077)
@@ -219,4 +219,6 @@
 			<array>
 				<dict>
+					<key>BecomeActive</key>
+					<true/>
 					<key>ContentConfiguration</key>
 					<dict>
@@ -243,5 +245,5 @@
 							<key>PBXSmartGroupTreeModuleColumnWidthsKey</key>
 							<array>
-								<real>255</real>
+								<real>241</real>
 							</array>
 							<key>PBXSmartGroupTreeModuleColumnsKey_v4</key>
@@ -255,14 +257,18 @@
 							<array>
 								<string>0867D691FE84028FC02AAC07</string>
+								<string>6D7D4E4B066710DA009E5976</string>
+								<string>0867D69AFE84028FC02AAC07</string>
+								<string>034768DDFF38A45A11DB9C8B</string>
 							</array>
 							<key>PBXSmartGroupTreeModuleOutlineStateSelectionKey</key>
 							<array>
 								<array>
-									<integer>7</integer>
+									<integer>4</integer>
+									<integer>3</integer>
 									<integer>0</integer>
 								</array>
 							</array>
 							<key>PBXSmartGroupTreeModuleOutlineStateVisibleRectKey</key>
-							<string>{{0, 0}, {255, 878}}</string>
+							<string>{{0, 0}, {241, 903}}</string>
 						</dict>
 						<key>PBXTopSmartGroupGIDs</key>
@@ -276,17 +282,17 @@
 					<dict>
 						<key>Frame</key>
-						<string>{{0, 0}, {272, 896}}</string>
+						<string>{{0, 0}, {258, 921}}</string>
 						<key>GroupTreeTableConfiguration</key>
 						<array>
 							<string>MainColumn</string>
-							<real>255</real>
+							<real>241</real>
 						</array>
 						<key>RubberWindowFrame</key>
-						<string>46 65 1132 937 0 0 1280 1002 </string>
+						<string>224 40 1032 962 0 0 1280 1002 </string>
 					</dict>
 					<key>Module</key>
 					<string>PBXSmartGroupTreeModule</string>
 					<key>Proportion</key>
-					<string>272pt</string>
+					<string>258pt</string>
 				</dict>
 				<dict>
@@ -294,6 +300,4 @@
 					<array>
 						<dict>
-							<key>BecomeActive</key>
-							<true/>
 							<key>ContentConfiguration</key>
 							<dict>
@@ -301,5 +305,5 @@
 								<string>1CE0B20306471E060097A5F4</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>QuartzAppTest.cpp</string>
+								<string>pigraphquartz.h</string>
 								<key>PBXSplitModuleInNavigatorKey</key>
 								<dict>
@@ -309,50 +313,31 @@
 										<string>1CE0B20406471E060097A5F4</string>
 										<key>PBXProjectModuleLabel</key>
-										<string>QuartzAppTest.cpp</string>
+										<string>pigraphquartz.h</string>
 										<key>_historyCapacity</key>
 										<integer>20</integer>
 										<key>bookmark</key>
-										<string>6DD3B7DA112E6EF400FF73F4</string>
+										<string>6D45E1BD1499067500CE9FAB</string>
 										<key>history</key>
 										<array>
-											<string>6D475934103C205F009DB4E2</string>
-											<string>6D475935103C205F009DB4E2</string>
-											<string>6D475AFC103C50CE009DB4E2</string>
-											<string>6D475AFD103C50CE009DB4E2</string>
-											<string>6D475AFE103C50CE009DB4E2</string>
-											<string>6D475AFF103C50CE009DB4E2</string>
-											<string>6D475B00103C50CE009DB4E2</string>
-											<string>6D475B02103C50CE009DB4E2</string>
-											<string>6D475B04103C50CE009DB4E2</string>
-											<string>6D475B05103C50CE009DB4E2</string>
-											<string>6D475B08103C50CE009DB4E2</string>
-											<string>6D475B09103C50CE009DB4E2</string>
-											<string>6DECAF30103EDEC600699E89</string>
-											<string>6DECAF31103EDEC600699E89</string>
-											<string>6DECAF32103EDEC600699E89</string>
-											<string>6D24D0E8108F71D400C9A36C</string>
-											<string>6DE9119710D24B1B003F0B29</string>
-											<string>6DD55619112DA8D800BA57AE</string>
+											<string>6DE1384112DF4A5700579496</string>
+											<string>6DE38B8712E72FAC00872A9D</string>
+											<string>6D45E1B01499067500CE9FAB</string>
+											<string>6D45E1B11499067500CE9FAB</string>
+											<string>6D45E1B31499067500CE9FAB</string>
+											<string>6D45E1B41499067500CE9FAB</string>
+											<string>6D45E1B51499067500CE9FAB</string>
 										</array>
 										<key>prevStack</key>
 										<array>
-											<string>6D47593A103C205F009DB4E2</string>
-											<string>6D475941103C205F009DB4E2</string>
-											<string>6D47595E103C205F009DB4E2</string>
 											<string>6D47596F103C205F009DB4E2</string>
 											<string>6D475972103C205F009DB4E2</string>
-											<string>6D475973103C205F009DB4E2</string>
 											<string>6D475974103C205F009DB4E2</string>
-											<string>6D475A1B103C320A009DB4E2</string>
-											<string>6D475A20103C320A009DB4E2</string>
-											<string>6D475A25103C320A009DB4E2</string>
-											<string>6D475B0B103C50CE009DB4E2</string>
-											<string>6D475B0D103C50CE009DB4E2</string>
-											<string>6D475B0E103C50CE009DB4E2</string>
 											<string>6D475B0F103C50CE009DB4E2</string>
-											<string>6D475B11103C50CE009DB4E2</string>
-											<string>6D475B15103C50CE009DB4E2</string>
-											<string>6D475B25103C50CE009DB4E2</string>
-											<string>6D475B2B103C50CE009DB4E2</string>
+											<string>6D45E1B61499067500CE9FAB</string>
+											<string>6D45E1B71499067500CE9FAB</string>
+											<string>6D45E1B91499067500CE9FAB</string>
+											<string>6D45E1BA1499067500CE9FAB</string>
+											<string>6D45E1BB1499067500CE9FAB</string>
+											<string>6D45E1BC1499067500CE9FAB</string>
 										</array>
 									</dict>
@@ -366,12 +351,12 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {855, 433}}</string>
+								<string>{{0, 0}, {769, 446}}</string>
 								<key>RubberWindowFrame</key>
-								<string>46 65 1132 937 0 0 1280 1002 </string>
+								<string>224 40 1032 962 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>433pt</string>
+							<string>446pt</string>
 						</dict>
 						<dict>
@@ -393,46 +378,23 @@
 										<integer>20</integer>
 										<key>bookmark</key>
-										<string>6DD3B7DB112E6EF400FF73F4</string>
+										<string>6D45E1C31499067500CE9FAB</string>
 										<key>history</key>
 										<array>
-											<string>6D475934103C205F009DB4E2</string>
-											<string>6D475935103C205F009DB4E2</string>
-											<string>6D475AFC103C50CE009DB4E2</string>
-											<string>6D475AFD103C50CE009DB4E2</string>
-											<string>6D475AFE103C50CE009DB4E2</string>
-											<string>6D475AFF103C50CE009DB4E2</string>
-											<string>6D475B00103C50CE009DB4E2</string>
-											<string>6D475B02103C50CE009DB4E2</string>
-											<string>6D475B03103C50CE009DB4E2</string>
-											<string>6D475B04103C50CE009DB4E2</string>
-											<string>6D475B05103C50CE009DB4E2</string>
-											<string>6D475B08103C50CE009DB4E2</string>
-											<string>6DECAF30103EDEC600699E89</string>
-											<string>6DECAF31103EDEC600699E89</string>
-											<string>6DECAF32103EDEC600699E89</string>
-											<string>6DE3BEB310501DB00074C72E</string>
-											<string>6D052AE0107B3725001E23C1</string>
-											<string>6DD5561A112DA8D800BA57AE</string>
+											<string>6DD04F3E113D763C00B55104</string>
+											<string>6DE1384212DF4A5700579496</string>
+											<string>6DE38B8712E72FAC00872A9D</string>
+											<string>6D45E1BE1499067500CE9FAB</string>
+											<string>6D45E1BF1499067500CE9FAB</string>
 										</array>
 										<key>prevStack</key>
 										<array>
-											<string>6D47593A103C205F009DB4E2</string>
-											<string>6D475941103C205F009DB4E2</string>
-											<string>6D47595E103C205F009DB4E2</string>
 											<string>6D47596F103C205F009DB4E2</string>
 											<string>6D475972103C205F009DB4E2</string>
-											<string>6D475973103C205F009DB4E2</string>
 											<string>6D475974103C205F009DB4E2</string>
-											<string>6D475A1B103C320A009DB4E2</string>
-											<string>6D475A20103C320A009DB4E2</string>
-											<string>6D475A25103C320A009DB4E2</string>
-											<string>6D475B0B103C50CE009DB4E2</string>
-											<string>6D475B0D103C50CE009DB4E2</string>
-											<string>6D475B0E103C50CE009DB4E2</string>
 											<string>6D475B0F103C50CE009DB4E2</string>
-											<string>6D475B11103C50CE009DB4E2</string>
-											<string>6D475B15103C50CE009DB4E2</string>
-											<string>6D475B25103C50CE009DB4E2</string>
-											<string>6D475B2B103C50CE009DB4E2</string>
+											<string>6DD04F42113D763C00B55104</string>
+											<string>6D45E1C01499067500CE9FAB</string>
+											<string>6D45E1C11499067500CE9FAB</string>
+											<string>6D45E1C21499067500CE9FAB</string>
 										</array>
 									</dict>
@@ -446,12 +408,68 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 438}, {855, 453}}</string>
+								<string>{{0, 451}, {769, 458}}</string>
 								<key>RubberWindowFrame</key>
-								<string>46 65 1132 937 0 0 1280 1002 </string>
+								<string>224 40 1032 962 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>453pt</string>
+							<string>458pt</string>
+						</dict>
+						<dict>
+							<key>ContentConfiguration</key>
+							<dict>
+								<key>PBXProjectModuleGUID</key>
+								<string>1CE0B20306471E060097A5F4</string>
+								<key>PBXProjectModuleLabel</key>
+								<string>pigraphquartz.cpp</string>
+								<key>PBXSplitModuleInNavigatorKey</key>
+								<dict>
+									<key>Split0</key>
+									<dict>
+										<key>PBXProjectModuleGUID</key>
+										<string>1CE0B20406471E060097A5F4</string>
+										<key>PBXProjectModuleLabel</key>
+										<string>pigraphquartz.cpp</string>
+										<key>_historyCapacity</key>
+										<integer>20</integer>
+										<key>bookmark</key>
+										<string>6D45E1C41499067500CE9FAB</string>
+										<key>history</key>
+										<array>
+											<string>6D475934103C205F009DB4E2</string>
+											<string>6D475935103C205F009DB4E2</string>
+											<string>6D475AFC103C50CE009DB4E2</string>
+											<string>6DECAF32103EDEC600699E89</string>
+											<string>6D052AE0107B3725001E23C1</string>
+											<string>6D62438F14069C80009BDE9A</string>
+										</array>
+										<key>prevStack</key>
+										<array>
+											<string>6D47596F103C205F009DB4E2</string>
+											<string>6D475972103C205F009DB4E2</string>
+											<string>6D475973103C205F009DB4E2</string>
+											<string>6D475974103C205F009DB4E2</string>
+											<string>6D475B0B103C50CE009DB4E2</string>
+											<string>6D475B0F103C50CE009DB4E2</string>
+										</array>
+									</dict>
+									<key>SplitCount</key>
+									<string>1</string>
+								</dict>
+								<key>StatusBarVisibility</key>
+								<true/>
+							</dict>
+							<key>GeometryConfiguration</key>
+							<dict>
+								<key>Frame</key>
+								<string>{{0, 914}, {769, 1}}</string>
+								<key>RubberWindowFrame</key>
+								<string>224 40 1032 962 0 0 1280 1002 </string>
+							</dict>
+							<key>Module</key>
+							<string>PBXNavigatorGroup</string>
+							<key>Proportion</key>
+							<string>1pt</string>
 						</dict>
 						<dict>
@@ -466,16 +484,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 896}, {855, 0}}</string>
+								<string>{{0, 920}, {769, 1}}</string>
 								<key>RubberWindowFrame</key>
-								<string>46 65 1132 937 0 0 1280 1002 </string>
+								<string>224 40 1032 962 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>XCDetailModule</string>
 							<key>Proportion</key>
-							<string>0pt</string>
+							<string>1pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>855pt</string>
+					<string>769pt</string>
 				</dict>
 			</array>
@@ -489,11 +507,13 @@
 				<string>PBXNavigatorGroup</string>
 				<string>PBXNavigatorGroup</string>
+				<string>PBXNavigatorGroup</string>
 				<string>XCDetailModule</string>
 			</array>
 			<key>TableOfContents</key>
 			<array>
-				<string>6DD3B7DC112E6EF400FF73F4</string>
+				<string>6D45E1381498EB1D00CE9FAB</string>
 				<string>1CE0B1FE06471DED0097A5F4</string>
-				<string>6DD3B7DD112E6EF400FF73F4</string>
+				<string>6D45E1391498EB1D00CE9FAB</string>
+				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20306471E060097A5F4</string>
 				<string>1CE0B20306471E060097A5F4</string>
@@ -630,9 +650,10 @@
 	<key>WindowOrderList</key>
 	<array>
+		<string>6D51EC7C0BA8059900CD4CE8</string>
 		<string>1C0AD2B3069F1EA900FABCE6</string>
 		<string>/Users/brunomansoux/Programmes/PI4Mac/PI/Quartz/PI.xcodeproj</string>
 	</array>
 	<key>WindowString</key>
-	<string>46 65 1132 937 0 0 1280 1002 </string>
+	<string>224 40 1032 962 0 0 1280 1002 </string>
 	<key>WindowTools</key>
 	<array>
@@ -657,5 +678,5 @@
 								<string>1CD0528F0623707200166675</string>
 								<key>PBXProjectModuleLabel</key>
-								<string>pistdwdgquartz.cpp</string>
+								<string>QuartzAppTest.cpp</string>
 								<key>StatusBarVisibility</key>
 								<true/>
@@ -664,12 +685,12 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {1089, 392}}</string>
+								<string>{{0, 0}, {1089, 134}}</string>
 								<key>RubberWindowFrame</key>
-								<string>273 96 1089 904 0 0 1280 1002 </string>
+								<string>113 98 1089 904 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXNavigatorGroup</string>
 							<key>Proportion</key>
-							<string>392pt</string>
+							<string>134pt</string>
 						</dict>
 						<dict>
@@ -677,5 +698,5 @@
 							<dict>
 								<key>PBXBuildLogShowsTranscriptDefaultKey</key>
-								<string>{{0, 149}, {1089, 317}}</string>
+								<string>{{0, 228}, {1089, 496}}</string>
 								<key>PBXProjectModuleGUID</key>
 								<string>XCMainBuildResultsModuleGUID</string>
@@ -690,12 +711,12 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 397}, {1089, 466}}</string>
+								<string>{{0, 139}, {1089, 724}}</string>
 								<key>RubberWindowFrame</key>
-								<string>273 96 1089 904 0 0 1280 1002 </string>
+								<string>113 98 1089 904 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXBuildResultsModule</string>
 							<key>Proportion</key>
-							<string>466pt</string>
+							<string>724pt</string>
 						</dict>
 					</array>
@@ -715,5 +736,5 @@
 			<array>
 				<string>6D51EC7C0BA8059900CD4CE8</string>
-				<string>6D475903103BF11E009DB4E2</string>
+				<string>6D45E1741498F21800CE9FAB</string>
 				<string>1CD0528F0623707200166675</string>
 				<string>XCMainBuildResultsModuleGUID</string>
@@ -722,5 +743,5 @@
 			<string>xcode.toolbar.config.build</string>
 			<key>WindowString</key>
-			<string>273 96 1089 904 0 0 1280 1002 </string>
+			<string>113 98 1089 904 0 0 1280 1002 </string>
 			<key>WindowToolGUID</key>
 			<string>6D51EC7C0BA8059900CD4CE8</string>
@@ -757,6 +778,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {267, 468}}</string>
-											<string>{{267, 0}, {687, 468}}</string>
+											<string>{{0, 0}, {0, 387}}</string>
+											<string>{{0, 0}, {954, 387}}</string>
 										</array>
 									</dict>
@@ -773,6 +794,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {954, 468}}</string>
-											<string>{{0, 468}, {954, 399}}</string>
+											<string>{{0, 0}, {954, 387}}</string>
+											<string>{{0, 387}, {954, 480}}</string>
 										</array>
 									</dict>
@@ -820,13 +841,13 @@
 			<key>TableOfContents</key>
 			<array>
-				<string>1CD10A99069EF8BA00B06720</string>
-				<string>6DF0EDB10DBDC2370047313D</string>
+				<string>6DD55C3911328EAD00AA6752</string>
+				<string>6DE2624F12F080EB0004413C</string>
 				<string>1C162984064C10D400B95A72</string>
-				<string>6DF0EDB20DBDC2370047313D</string>
-				<string>6DF0EDB30DBDC2370047313D</string>
-				<string>6DF0EDB40DBDC2370047313D</string>
-				<string>6DF0EDB50DBDC2370047313D</string>
-				<string>6DF0EDB60DBDC2370047313D</string>
-				<string>6DF0EDB70DBDC2370047313D</string>
+				<string>6DE2625012F080EB0004413C</string>
+				<string>6DE2625112F080EB0004413C</string>
+				<string>6DE2625212F080EB0004413C</string>
+				<string>6DE2625312F080EB0004413C</string>
+				<string>6DE2625412F080EB0004413C</string>
+				<string>6DE2625512F080EB0004413C</string>
 			</array>
 			<key>ToolbarConfiguration</key>
@@ -835,5 +856,5 @@
 			<string>107 159 954 690 0 0 1280 1002 </string>
 			<key>WindowToolGUID</key>
-			<string>1CD10A99069EF8BA00B06720</string>
+			<string>6DD55C3911328EAD00AA6752</string>
 			<key>WindowToolIsVisible</key>
 			<false/>
@@ -918,6 +939,6 @@
 			<array>
 				<string>1C530D57069F1CE1000CFCEE</string>
-				<string>6D475A8E103C42C6009DB4E2</string>
-				<string>6D475A8F103C42C6009DB4E2</string>
+				<string>6DE7568212DDACBE00446C79</string>
+				<string>6DE7568312DDACBE00446C79</string>
 				<string>1CDD528C0622207200134675</string>
 				<string>1CD0528E0623707200166675</string>
@@ -982,5 +1003,5 @@
 			<array>
 				<string>6DF69ABA0C7ADAAD0091767B</string>
-				<string>6DF0EDB80DBDC2370047313D</string>
+				<string>6DE2625612F080EB0004413C</string>
 				<string>1C78EAAC065D492600B07095</string>
 			</array>
@@ -1027,6 +1048,6 @@
 										<key>sizes</key>
 										<array>
-											<string>{{0, 0}, {491, 168}}</string>
-											<string>{{0, 173}, {491, 270}}</string>
+											<string>{{0, 0}, {367, 168}}</string>
+											<string>{{0, 173}, {367, 270}}</string>
 										</array>
 									</dict>
@@ -1052,16 +1073,16 @@
 							<dict>
 								<key>Frame</key>
-								<string>{{0, 0}, {524, 746}}</string>
+								<string>{{0, 0}, {637, 754}}</string>
 								<key>RubberWindowFrame</key>
-								<string>32 110 524 787 0 0 1280 1002 </string>
+								<string>31 90 637 795 0 0 1280 1002 </string>
 							</dict>
 							<key>Module</key>
 							<string>PBXRunSessionModule</string>
 							<key>Proportion</key>
-							<string>746pt</string>
+							<string>754pt</string>
 						</dict>
 					</array>
 					<key>Proportion</key>
-					<string>746pt</string>
+					<string>754pt</string>
 				</dict>
 			</array>
@@ -1077,12 +1098,12 @@
 			<array>
 				<string>1C0AD2B3069F1EA900FABCE6</string>
-				<string>6DD3B7DE112E6EF400FF73F4</string>
+				<string>6D45E13A1498EB1D00CE9FAB</string>
 				<string>1CD0528B0623707200166675</string>
-				<string>6DD3B7DF112E6EF400FF73F4</string>
+				<string>6D45E13B1498EB1D00CE9FAB</string>
 			</array>
 			<key>ToolbarConfiguration</key>
 			<string>xcode.toolbar.config.run</string>
 			<key>WindowString</key>
-			<string>32 110 524 787 0 0 1280 1002 </string>
+			<string>31 90 637 795 0 0 1280 1002 </string>
 			<key>WindowToolGUID</key>
 			<string>1C0AD2B3069F1EA900FABCE6</string>
